com.microsoft.sqlserver.jdbc

## Interface ISQLServerResultSet42

All Superinterfaces:
  AutoCloseable, ISQLServerResultSet, ResultSet, Wrapper

All Known Implementing Classes:
  SQLServerResultSet42

    public interface ISQLServerResultSet42
    extends ISQLServerResultSet

This interface requires all the ResultSet methods including those are specific to JDBC 4.2

### Field Summary

### Fields inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerResultSet

`CONCUR_SS_OPTIMISTIC_CC, CONCUR_SS_OPTIMISTIC_CCVAL, CONCUR_SS_SCROLL_LOCKS, TYPE_SS_DIRECT_FORWARD_ONLY, TYPE_SS_SCROLL_DYNAMIC, TYPE_SS_SCROLL_KEYSET, TYPE_SS_SCROLL_STATIC, TYPE_SS_SERVER_CURSOR_FORWARD_ONLY`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `updateObject(int index, Object obj, SQLType targetSqlType)`
`void` `updateObject(int index, Object obj, SQLType targetSqlType, int scale)`
`void` `updateObject(int index, Object obj, SQLType targetSqlType, int scale, boolean forceEncrypt)`
`void` `updateObject(String columnName, Object obj, SQLType targetSqlType)`
`void` `updateObject(String columnName, Object obj, SQLType targetSqlType, int scale)`
`void` `updateObject(String columnName, Object obj, SQLType targetSqlType, int scale, boolean forceEncrypt)`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerResultSet

`getDateTimeOffset, getDateTimeOffset, updateDateTimeOffset, updateDateTimeOffset`

### Methods inherited from interface java.sql.ResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### updateObject

    void updateObject(int index,
                      Object obj,
                      SQLType targetSqlType)
               throws SQLServerException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    void updateObject(int index,
                      Object obj,
                      SQLType targetSqlType,
                      int scale)
               throws SQLServerException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    void updateObject(int index,
                      Object obj,
                      SQLType targetSqlType,
                      int scale,
                      boolean forceEncrypt)
               throws SQLServerException

Throws:
  `SQLServerException`

#### updateObject

    void updateObject(String columnName,
                      Object obj,
                      SQLType targetSqlType,
                      int scale)
               throws SQLServerException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLServerException`

#### updateObject

    void updateObject(String columnName,
                      Object obj,
                      SQLType targetSqlType,
                      int scale,
                      boolean forceEncrypt)
               throws SQLServerException

Throws:
  `SQLServerException`

#### updateObject

    void updateObject(String columnName,
                      Object obj,
                      SQLType targetSqlType)
               throws SQLServerException

Specified by:
  `updateObject` in interface `ResultSet`
Throws:
  `SQLServerException`